### Method

# GcrUi Renderer popuplate_popup

#### Declaration [src]

    void
    gcr_renderer_popuplate_popup (
      GcrRenderer* self,
      GcrViewer* viewer,
      GtkMenu* menu
    )

#### Description [src]

Called by `GcrViewer` when about to display a popup menu for the content displayed by the renderer. The renderer can add a menu item if desired.

#### Parameters

`viewer`

  Type: `GcrViewer`

  The viewer that is displaying a popup.

  The data is owned by the caller of the method.

`menu`

  Type: `GtkMenu`

  The popup menu being displayed.

  The data is owned by the caller of the method.